<template>
	<view>
		<status-nav :ifReturn="true" navBarTitle="关于我们" :marginBottom="0"></status-nav>
		<view class="about-bg" :style="{'min-height':aboutHeight}">
			<!-- 地图 -->
			<view class="about-map">
				<map style="width: 100%; height: 390rpx;" :latitude="latitude" :longitude="longitude" :markers="markers"></map>
			</view>
			<!-- 导航 -->
			<view class="navigation-btn" @tap="goThere">导航到我们</view>
			<!-- 内容 -->
			<view class="about">
				<view class="about-title">关于我们</view>
				<view class="about-txt">
					<rich-text :nodes="aboutData"></rich-text>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import statusNav from '@/components/status-navs/status-nav';
	import {getCartNum,userInfoEv} from '@/jsFile/public-api.js';
	import {mapState} from 'vuex'//引入mapState
	export default {
		components:{
			statusNav
		},
		data() {
			return {
				aboutHeight: `calc(100vh - ${uni.getSystemInfoSync().statusBarHeight + 50}px)`,
				latitude: 39.909,
				longitude: 116.39742,
				address:'',
				markers: [{
					width : 30,
					height: 32,
					latitude: 39.909,
					longitude: 116.39742,
					iconPath: '/static/public/icon-addr.png'
				}],
				aboutData:'',
				cacheBusinessId:-1, //商户id
			}
		},
		onLoad(op) {
			if(op.business_id){
				this.cacheBusinessId = op.business_id;
			}
		},
		onShow() {
			if(this.cacheBusinessId !== -1){
				this.$requst.post('/api/index/change-business',{business_id:this.cacheBusinessId}).then(res=>{
					if(res.code == 0){
						this.getAboutData();
						userInfoEv();
					}
				})
			}else{
				this.getAboutData();
				userInfoEv();
			}
		},
		// 分享到微信
		onShareAppMessage() {
			let path = uni.getStorageSync('page-path-options')+'?business_id='+uni.getStorageSync('business_id');
			return {
				path:path
			}
		},
		// 分享到朋友圈
		onShareTimeline(res){
			let path = uni.getStorageSync('page-path-options')+'?business_id='+uni.getStorageSync('business_id');
			return {
				path:path
			}
		},
		methods: {
			// 查询关于我们
			getAboutData(){
				uni.showLoading({
					title: '加载中'
				});
				this.$requst.get('/api/index/about').then(res=>{
					if(res.code==0){
						this.aboutData = this.$toolAll.tools.escape2Html(res.data.content);
						this.latitude = res.data.lat;
						this.longitude = res.data.lon;
						this.address = res.data.address;
						this.markers[0].latitude = res.data.lat;
						this.markers[0].longitude = res.data.lon;
					} else {
						this.$toolAll.tools.showToast(res.msg);
					}
					uni.hideLoading();
				})
			},
			
			// 导航
			goThere() {
				this.$toolAll.tools.goThere(this.lat,this.lng,this.address);
			}
		}
	}
</script>

<style>

</style>